{% extends "administration.html" %}
{% load url from future %}
{% load i18n %}

{% block contenido_administracion %}

    <ul class="nav nav-tabs nav-append-content">
        <li class="{% ifequal "tab1" tag_actual %}active{% endifequal %}"><a href="#tab1">{% blocktrans %}Create Event{% endblocktrans %}</a></li>
        <li class="{% ifequal "tab2" tag_actual %}active{% endifequal %}"><a href="#tab2">{% blocktrans %}Delete Event{% endblocktrans %}</a></li>
    </ul>

	<div class="tab-content">
        <div class="tab-pane {% ifequal "tab1" tag_actual %}active{% endifequal %}" id="tab1">
            <form method="post"> {% csrf_token %}
            	<div class="row clearfix">
	            	<div class="col-md-6">
	                    <small>{% blocktrans %}Name{% endblocktrans %}:</small> <input type="text" value="" placeholder="{% blocktrans %}Type the name{% endblocktrans %}" class="form-control input-sm" name="event_create_name" autocomplete="off">
	                    <small>{% blocktrans %}Init Date{% endblocktrans %}:</small>
				        <div class="row clearfix">
				            <div class="col-md-4 column">
				                <input type="text" placeholder="hh:mm" class="form-control" name="event_create_init_hour" autocomplete="off">
				            </div>
				            <div class="col-md-8 column">
				                <div class="form-group">
				                  <div class="input-group">
				                    <span class="input-group-btn">
				                      <button class="btn" type="button"><span class="fui-calendar"></span></button>
				                    </span>
				                    <input type="text" class="form-control" placeholder="dd {% blocktrans %}month{% endblocktrans %}, yyyy" id="datepicker-01" name="event_create_init_date"/>
				                  </div>
				                </div>
				            </div>
				        </div>
				        <small>{% blocktrans %}Finish Date{% endblocktrans %}:</small>
				        <div class="row clearfix">
				            <div class="col-md-4 column">
				                <input type="text" placeholder="hh:mm" class="form-control" name="event_create_finish_hour" autocomplete="off">
				            </div>
				            <div class="col-md-8 column">
				                <div class="form-group">
				                  <div class="input-group">
				                    <span class="input-group-btn">
				                      <button class="btn" type="button"><span class="fui-calendar"></span></button>
				                    </span>
				                    <input type="text" class="form-control" placeholder="dd {% blocktrans %}month{% endblocktrans %}, yyyy" id="datepicker-01" name="event_create_finish_date"/>
				                  </div>
				                </div>
				            </div>
				        </div>
	            	</div>
	            </div>
                <div class="row clearfix">
                    <div class="col-md-8 column"></div>
                    <div class="col-md-4 column">
                    	<button type="submit" class="btn btn-lg btn-block btn-primary" name="event_create" onclick="">{% blocktrans %}Create{% endblocktrans %}</button>
                    </div>
                </div>
            </form>
        </div>
        <div class="tab-pane {% ifequal "tab2" tag_actual %}active{% endifequal %}" id="tab2">
            <form method="post"> {% csrf_token %}
    			<div> {% if msg_delete %} <font color="#FF0000">{{ msg_delete }}</font> {% endif %} </div>
    			<div class="row clearfix">
                    <div class="col-md-6 column">
                        <small>{% blocktrans %}Find Event{% endblocktrans %}:</small>
                        <div class="input-group input-group-sm">
                          <input class="form-control" id="appendedInputButton-04" type="search" placeholder="{% blocktrans %}Type name for search{% endblocktrans %}">
                          <span class="input-group-btn">
                            <button class="btn" type="submit" name="search" data-toggle="modal" data-target="#ModalSearchEventForDelete"><span class="fui-search"></span></button>
                          </span>
                        </div>
                        <small>{% blocktrans %}Name{% endblocktrans %}:</small><br/>
                        <div class="row clearfix">
                        	<div class="col-md-1 column"></div>
                            <div id="event_delete_name_div_text" class="col-md-6 column"></div>
                            <input type="text" style="display:none;" id="event_delete_name_temp" name="event_delete_name_temp">
                        </div>
                    </div>
                    <div class="col-md-6 column">
                    </div>
                </div>
                <div class="row clearfix">
                    <div class="col-md-8 column"></div>
                    <div class="col-md-4 column">
                    	<button type="submit" class="btn btn-lg btn-block btn-primary" name="event_delete" onclick="">{% blocktrans %}Delete{% endblocktrans %}</button>
                    </div>
                </div>
            </form>
        </div>
    </div>

    <!-- Modal Buscar Evento para borrarlo -->
    <form method="POST">{% csrf_token %}
      <div class="modal fade" id="ModalSearchEventForDelete" tabindex="-1" role="dialog" aria-labelledby="myModalLogoutLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
              <h4 class="modal-title" id="myModalLogoutLabel">{% blocktrans %}Find User{% endblocktrans %}</h4>
            </div>
            <div class="modal-body">
                <table class="table table-striped">
                  <tbody><tr>
                    <th>{% blocktrans %}Select{% endblocktrans %}</th>
                    <th>{% blocktrans %}Name{% endblocktrans %}</th>
                  </tr>
                  {% for evento in lista_eventos %}
                    <tr>
                      <td>
                        <span
                          class="glyphicon glyphicon-hand-right"
                          name="event_edit_hand"
                          onclick="
                          	clean_div('event_delete_name_div_text');
                          	var_to_text('{{evento.nombre}}', 'event_delete_name_div_text');
                          	var_to_var('{{evento.nombre}}', 'event_delete_name_temp');
                          "
                          data-dismiss="modal"
                        >
                        </span>
                      </td>
                      <td>{{evento.nombre}}</td>
                    </tr>
                  {% endfor %}
                </tbody></table>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default" data-dismiss="modal">{% blocktrans %}Cancel{% endblocktrans %}</button>
            </div>
          </div>
        </div>
      </div>
    </form>

{% endblock %}